Debian Bug report logs - #683084
Make invoke-rc.d/update-rc.d systemd-aware

version graph

Package: sysv-rc; Maintainer for sysv-rc is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for sysv-rc is src:sysvinit.

Reported by: Michael Stapelberg <stapelberg@debian.org>

Date: Sat, 28 Jul 2012 14:18:01 UTC

Severity: wishlist

Tags: patch

Found in version sysvinit/2.88dsf-22.1

Fixed in version sysvinit/2.88dsf-41+jessie1

Done: Roger Leigh <rleigh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#683084; Package sysv-rc. (Sat, 28 Jul 2012 14:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
New Bug report received and forwarded. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Sat, 28 Jul 2012 14:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Make invoke-rc.d/update-rc.d systemd-aware
Date: Sat, 28 Jul 2012 16:13:57 +0200
[Message part 1 (text/plain, inline)]
Package: sysv-rc
Version: 2.88dsf-22.1
Severity: wishlist
Tags: patch

Just like invoke-rc.d and update-rc.d can properly deal with a system
using upstart, it should support systemd as well.

The attached patches make invoke-rc.d and update-rc.d systemd aware.
This means that the enable/disable action of update-rc.d additionally
create the appropriate links for systemd (regardless of whether you are
running systemd or not). This will lead to users of sysvinit being able
to switch to systemd (and vice-versa) and still get the same set of
services started at boot.

Roger Leigh reviewed this patches and gave me a few valuable hints,
thanks for that.

It would be great if you could upload a new version of sysv-rc to
experimental which contains these patches. That’d be helpful to work on
other aspects of systemd packaging in Debian.

Best regards,
Michael
[invoke-rc.d-systemd.patch (text/x-diff, attachment)]
[update-rc.d-systemd.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#683084; Package sysv-rc. (Sat, 28 Jul 2012 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Sat, 28 Jul 2012 19:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 683084@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Michael Stapelberg <stapelberg@debian.org>, 683084@bugs.debian.org
Subject: Re: Bug#683084: Make invoke-rc.d/update-rc.d systemd-aware
Date: Sat, 28 Jul 2012 20:14:34 +0100
tags 683084 + pending
thanks

On Sat, Jul 28, 2012 at 04:13:57PM +0200, Michael Stapelberg wrote:
> Just like invoke-rc.d and update-rc.d can properly deal with a system
> using upstart, it should support systemd as well.
> 
> The attached patches make invoke-rc.d and update-rc.d systemd aware.

Thanks for that.

These have been committed to the "jessie-pending" branch in the
git repository.  Note that it's in collab-maint, so you will have
commit access should you wish to make any additional changes,
though since we're frozen, I would appreciate it if they were
done on the jessie-pending branch until we're ready to merge it
back into master.


Thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.



Added tag(s) pending. Request was from Roger Leigh <rleigh@codelibre.net> to control@bugs.debian.org. (Sat, 28 Jul 2012 19:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#683084; Package sysv-rc. (Tue, 07 Aug 2012 12:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Tue, 07 Aug 2012 12:00:06 GMT) Full text and rfc822 format available.

Message #17 received at 683084@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Roger Leigh <rleigh@codelibre.net>, 683084@bugs.debian.org
Subject: Re: Bug#683084: Make invoke-rc.d/update-rc.d systemd-aware
Date: Tue, 07 Aug 2012 13:38:04 +0200
[Message part 1 (text/plain, inline)]
Hi Roger,

As discussed on IRC, here is another patch which makes the defaults and
remove action systemd-aware, too (so that many packages work better
without changing them at all).

Please have a look if everything’s alright with the patch.

Best regards,
Michael
[0001-Enable-disable-systemd-service-on-defaults-and-remov.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#683084; Package sysv-rc. (Thu, 23 Aug 2012 02:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Thu, 23 Aug 2012 02:12:03 GMT) Full text and rfc822 format available.

Message #22 received at 683084@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 683084@bugs.debian.org, Michael Stapelberg <stapelberg@debian.org>
Subject: Make invoke-rc.d/update-rc.d systemd-aware
Date: Thu, 23 Aug 2012 04:08:58 +0200
[Message part 1 (text/plain, inline)]
Heya,

thanks Michael for working on this!

In addition to invoke-rc.d/update-rc.d it would be great if the
"service" command had native support for systemd. It already has support
of upstart, so it should be easy to extend in a similar way for systemd.


Btw, while looking at /usr/sbin/service, I noticed the following:

if [ -r "/etc/init/${SERVICE}.conf" ] && which initctl >/dev/null \
   && initctl version | grep -q upstart
then

This produces an error message if upstart is installed but not running.
It is basically the same bug as in [1] and a similar fix should be
applied to service.

Roger, if you want I can file a separate bug report for this issue.



Michael

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=682032
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#683084; Package sysv-rc. (Fri, 24 Aug 2012 14:06:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Fri, 24 Aug 2012 14:06:11 GMT) Full text and rfc822 format available.

Message #27 received at 683084@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 683084@bugs.debian.org, Michael Stapelberg <stapelberg@debian.org>
Cc: Tollef Fog Heen <tfheen@err.no>
Subject: Make invoke-rc.d/update-rc.d systemd-aware
Date: Fri, 24 Aug 2012 16:03:07 +0200
[Message part 1 (text/plain, inline)]
Hi Michael,

I've been looking at the jessie-pending branch, and I was wondering why
you translate force-reload unconditionally to systemctl restart.
This should only be the case, if the systemd service does not support
reload, i.e. force-reloads should translate to:

service supports reload → reload
service does not support reload → restart

That's at least how sysvinit handles it afaics.

HTH,
Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#683084; Package sysv-rc. (Fri, 24 Aug 2012 14:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Fri, 24 Aug 2012 14:27:05 GMT) Full text and rfc822 format available.

Message #32 received at 683084@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 683084@bugs.debian.org, Michael Stapelberg <stapelberg@debian.org>
Cc: Tollef Fog Heen <tfheen@err.no>
Subject: Re: Make invoke-rc.d/update-rc.d systemd-aware
Date: Fri, 24 Aug 2012 16:24:28 +0200
[Message part 1 (text/plain, inline)]
On 24.08.2012 16:03, Michael Biebl wrote:
> I've been looking at the jessie-pending branch, and I was wondering why
> you translate force-reload unconditionally to systemctl restart.
> This should only be the case, if the systemd service does not support
> reload, i.e. force-reloads should translate to:
> 
> service supports reload → reload
> service does not support reload → restart
> 
> That's at least how sysvinit handles it afaics.

And to quote debian policy 9.3.2

force-reload

    cause the configuration to be reloaded if the service supports this,
otherwise restart the service.


Cheers,
Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#683084; Package sysv-rc. (Fri, 24 Aug 2012 20:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Fri, 24 Aug 2012 20:18:06 GMT) Full text and rfc822 format available.

Message #37 received at 683084@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Michael Biebl <biebl@debian.org>, 683084@bugs.debian.org
Cc: Tollef Fog Heen <tfheen@err.no>
Subject: Re: Make invoke-rc.d/update-rc.d systemd-aware
Date: Fri, 24 Aug 2012 22:15:07 +0200
Hi Michael,

Quoting Michael Biebl (2012-08-24 16:03:07)
> I've been looking at the jessie-pending branch, and I was wondering why
> you translate force-reload unconditionally to systemctl restart.
> This should only be the case, if the systemd service does not support
> reload, i.e. force-reloads should translate to:
> 
> service supports reload → reload
> service does not support reload → restart
> 
> That's at least how sysvinit handles it afaics.
Thanks for having a look at that patch. The reason for this mistake is
that I closely (too closely apparently) copied the patch which
introduced upstart support in sysv-rc :-).

I can fix this, but it’ll take me a bit until I have some time for
it — most likely next week (Tuesday or Wednesday), but if you want to
prepare a patch, please feel free to do so.

Best regards,
Michael



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#683084; Package sysv-rc. (Mon, 27 Aug 2012 21:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Mon, 27 Aug 2012 21:42:03 GMT) Full text and rfc822 format available.

Message #42 received at 683084@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Michael Biebl <biebl@debian.org>, 683084@bugs.debian.org
Subject: Re: Make invoke-rc.d/update-rc.d systemd-aware
Date: Mon, 27 Aug 2012 23:39:22 +0200
[Message part 1 (text/plain, inline)]
Hi Michael,

Quoting Michael Biebl (2012-08-23 04:08:58)
> In addition to invoke-rc.d/update-rc.d it would be great if the
> "service" command had native support for systemd. It already has support
> of upstart, so it should be easy to extend in a similar way for systemd.
A patch is attached to this message. Please have a look and tell me if
you’re okay with it. I’ve tested it on my system and it seems to work
fine.

Best regards,
Michael
[service.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#683084; Package sysv-rc. (Mon, 27 Aug 2012 22:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Mon, 27 Aug 2012 22:00:05 GMT) Full text and rfc822 format available.

Message #47 received at 683084@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Michael Biebl <biebl@debian.org>, 683084@bugs.debian.org
Cc: Tollef Fog Heen <tfheen@err.no>
Subject: Re: Make invoke-rc.d/update-rc.d systemd-aware
Date: Mon, 27 Aug 2012 23:57:43 +0200
[Message part 1 (text/plain, inline)]
Hi Michael,

Quoting Michael Biebl (2012-08-24 16:03:07)
> I've been looking at the jessie-pending branch, and I was wondering why
> you translate force-reload unconditionally to systemctl restart.
> This should only be the case, if the systemd service does not support
> reload, i.e. force-reloads should translate to:
> 
> service supports reload → reload
> service does not support reload → restart
> 
> That's at least how sysvinit handles it afaics.
I’ve attached a patch to this message which does what we discussed on
IRC: It will try to reload when the service has CanReload=yes and will
fall-back to restart if that doesn’t work.

Also note that I changed the reload) code branch because:
1) It didn’t work since $service was empty.
2) Even if it worked, it would never trigger for sysv-compat-layer
   scripts since CanReload is always yes for them.

Best regards,
Michael
[invoke-rc.d.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#683084; Package sysv-rc. (Sun, 07 Apr 2013 21:00:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Sun, 07 Apr 2013 21:00:19 GMT) Full text and rfc822 format available.

Message #52 received at 683084@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: 683084@bugs.debian.org, <pkg-systemd-maintainers@lists.alioth.debian.org>, "Roger Leigh" <rleigh@codelibre.net>
Subject: Re: Make invoke-rc.d/update-rc.d systemd-aware
Date: Sun, 07 Apr 2013 22:58:50 +0200
[Message part 1 (text/plain, inline)]
Hi,

The patch for service(8) has been moved to
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=704923

As for the invoke-rc.d, an updated version is attached. mbiebl reviewed
it and it looks good to him. The version works differently than what was
posted previously because systemd has gained a heuristic for CanReload=
for sysvinit files in the meantime.

Roger, can I commit this (and the other changes) directly to the
jessie-pending branch?

-- 
Best regards,
Michael
[invoke-rc.d.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#683084; Package sysv-rc. (Sun, 07 Apr 2013 21:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Sun, 07 Apr 2013 21:45:04 GMT) Full text and rfc822 format available.

Message #57 received at 683084@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Michael Stapelberg <stapelberg@debian.org>, 683084@bugs.debian.org
Cc: pkg-systemd-maintainers@lists.alioth.debian.org
Subject: Re: Bug#683084: Make invoke-rc.d/update-rc.d systemd-aware
Date: Sun, 7 Apr 2013 22:43:34 +0100
On Sun, Apr 07, 2013 at 10:58:50PM +0200, Michael Stapelberg wrote:
> The patch for service(8) has been moved to
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=704923
> 
> As for the invoke-rc.d, an updated version is attached. mbiebl reviewed
> it and it looks good to him. The version works differently than what was
> posted previously because systemd has gained a heuristic for CanReload=
> for sysvinit files in the meantime.
> 
> Roger, can I commit this (and the other changes) directly to the
> jessie-pending branch?

Please feel free, likewise for any other related stuff, so long as
it's been tested and has a changelog entry.


Many thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux    http://people.debian.org/~rleigh/
 `. `'   schroot and sbuild  http://alioth.debian.org/projects/buildd-tools
   `-    GPG Public Key      F33D 281D 470A B443 6756 147C 07B3 C8BC 4083 E800



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#683084; Package sysv-rc. (Tue, 09 Apr 2013 21:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Tue, 09 Apr 2013 21:09:04 GMT) Full text and rfc822 format available.

Message #62 received at 683084@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Roger Leigh <rleigh@codelibre.net>, 683084@bugs.debian.org, 703571@bugs.debian.org, 704923@bugs.debian.org, control@bugs.debian.org
Cc: pkg-systemd-maintainers@lists.alioth.debian.org
Subject: Re: Bug#683084: Make invoke-rc.d/update-rc.d systemd-aware
Date: Tue, 09 Apr 2013 23:07:37 +0200
tags 703571 + pending
tags 704923 + pending
thanks


Hi Roger,

Roger Leigh <rleigh@codelibre.net> writes:
>> Roger, can I commit this (and the other changes) directly to the
>> jessie-pending branch?
>
> Please feel free, likewise for any other related stuff, so long as
> it's been tested and has a changelog entry.
Thanks.

I have tested the changes (and mbiebl@ confirmed they are working) and
thus pushed them to jessie-pending.

-- 
Best regards,
Michael



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#683084; Package sysv-rc. (Fri, 12 Apr 2013 22:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Fri, 12 Apr 2013 22:36:04 GMT) Full text and rfc822 format available.

Message #67 received at 683084@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 683084@bugs.debian.org, pkg-systemd-maintainers@lists.alioth.debian.org
Subject: Disabled services (Make invoke-rc.d/update-rc.d systemd-aware)
Date: Sat, 13 Apr 2013 00:33:25 +0200
[Message part 1 (text/plain, inline)]
Looking again at the patches and the changes in the jessie-pending
branch, I think there is one case we are currently not handling
properly, and i.e. disabled services.

Disabled services should not be started after a package upgrade, as that
would imho be unexpected behaviour and a deviation from what happens
under sysvinit.

There are basically two variants:
a/ services which use --restart-after-upgrade
b/ the default with uses stop in prerm and start in postinst

for a/ we should probably use try-restart instead of restart for
disabled services.

for b/ the current behaviour in SysV iirc is, that the service is
stopped in prerm but *not* started in postinst. I will verify that tomorrow.


Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#683084; Package sysv-rc. (Fri, 12 Apr 2013 23:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Fri, 12 Apr 2013 23:45:05 GMT) Full text and rfc822 format available.

Message #72 received at 683084@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 683084@bugs.debian.org, pkg-systemd-maintainers@lists.alioth.debian.org
Subject: Re: [Pkg-systemd-maintainers] Disabled services (Make invoke-rc.d/update-rc.d systemd-aware)
Date: Sat, 13 Apr 2013 01:41:05 +0200
[Message part 1 (text/plain, inline)]
Am 13.04.2013 00:33, schrieb Michael Biebl:
> Looking again at the patches and the changes in the jessie-pending
> branch, I think there is one case we are currently not handling
> properly, and i.e. disabled services.
> 
> Disabled services should not be started after a package upgrade, as that
> would imho be unexpected behaviour and a deviation from what happens
> under sysvinit.
> 
> There are basically two variants:
> a/ services which use --restart-after-upgrade
> b/ the default with uses stop in prerm and start in postinst
> 
> for a/ we should probably use try-restart instead of restart for
> disabled services.
> 
> for b/ the current behaviour in SysV iirc is, that the service is
> stopped in prerm but *not* started in postinst. I will verify that tomorrow.

I have to add here, that this is in practice really a problem only for
systemd-only services, given that the SysV and systemd enable-state are
in sync (which will be the case once sECuREs patches for update-rc.d and
systemctl are uploaded).

invoke-rc.d tests the enabled-state of the SysV init script and will
skip the (re)start action, if the service is disabled.

That said, I think it wouldn't hurt to explicitly check the state of the
systemd service (too), before trying to start it.

What do you think?

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Roger Leigh <rleigh@debian.org>:
You have taken responsibility. (Sun, 14 Apr 2013 17:36:17 GMT) Full text and rfc822 format available.

Notification sent to Michael Stapelberg <stapelberg@debian.org>:
Bug acknowledged by developer. (Sun, 14 Apr 2013 17:36:18 GMT) Full text and rfc822 format available.

Message #77 received at 683084-close@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@debian.org>
To: 683084-close@bugs.debian.org
Subject: Bug#683084: fixed in sysvinit 2.88dsf-41+jessie1
Date: Sun, 14 Apr 2013 17:33:21 +0000
Source: sysvinit
Source-Version: 2.88dsf-41+jessie1

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 683084@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Roger Leigh <rleigh@debian.org> (supplier of updated sysvinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 28 Jul 2012 20:09:11 +0100
Source: sysvinit
Binary: sysvinit sysvinit-utils sysv-rc initscripts bootlogd
Architecture: source amd64 all
Version: 2.88dsf-41+jessie1
Distribution: experimental
Urgency: low
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Changed-By: Roger Leigh <rleigh@debian.org>
Description: 
 bootlogd   - daemon to log boot messages
 initscripts - scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit   - System-V-like init utilities
 sysvinit-utils - System-V-like utilities
Closes: 630723 660862 683084 683804 693960 701031 703571 704923 705052
Changes: 
 sysvinit (2.88dsf-41+jessie1) experimental; urgency=low
 .
   [ Roger Leigh ]
   * initscripts:
     - Move /etc/nologin and /var/lib/initscripts/nologin to
       /run/nologin.  This means that nologin is always created on
       a writable, available filesystem.  Closes: #660862.
     - Remove code to generate /etc/mtab.  /etc/mtab is now always a
       symbolic link to /proc/mounts.  Closes: #630723.
     - Remove incorrect use of break in case blocks in vars.sh.  Thanks
       to Raphaël Hertzog for this patch.  Closes: #701031.
     - /etc/network/if-up.d/mountnfs: Skip lo if already configured.
       Closes: #705052.  Thanks to Timo Weingärtner.
   * sysvinit:
     - Document length limit of 127 in inittab process field.  Thanks
       to Johannes Truschnigg.  Closes: #693960.
   * sysv-rc:
     - Fix typo in invoke-rc.d(8).  Closes: #683804.  Thanks to
       Martin-Éric Racine.
 .
   [ Michael Stapelberg ]
   * systemd: update check to look for /run/systemd/system.
     Closes: #703571
   * sysv-rc:
     - Add systemd support to update-rc.d(8) and invoke-rc.d(8).
       Closes: #683084.
     - service(8): use systemctl on machines that run systemd.
       Closes: #704923
Checksums-Sha1: 
 3e073e226692e933daefb2d55378cab257731f6d 2374 sysvinit_2.88dsf-41+jessie1.dsc
 a47b2d70e510f7098aba89fe2eba26c196d066c9 212142 sysvinit_2.88dsf-41+jessie1.debian.tar.gz
 cd63abd9fa0b87ea28f4d761bcbf6035a2ce7962 134570 sysvinit_2.88dsf-41+jessie1_amd64.deb
 df250df290d0e6d71555e2aa5051c9e9809fb546 101032 sysvinit-utils_2.88dsf-41+jessie1_amd64.deb
 2206a90f65fc38836bb724e8a6b9aefc29a77969 82634 sysv-rc_2.88dsf-41+jessie1_all.deb
 472b7b7b6f46778f643c16a44084d2a19d4378e1 93228 initscripts_2.88dsf-41+jessie1_amd64.deb
 63dc8553b49bf13d2857fa8152af82accc9d6ac2 55554 bootlogd_2.88dsf-41+jessie1_amd64.deb
Checksums-Sha256: 
 f6155495cff2b2cca47e13fdb6424d1a4b7c5e341647165e336f667b42878b09 2374 sysvinit_2.88dsf-41+jessie1.dsc
 c1839fae3271bf9dd9b52cfdbdea019919b60d8797162b2d1c8805c7bdda6315 212142 sysvinit_2.88dsf-41+jessie1.debian.tar.gz
 63f4dc5142206fa63c264d7255814e4e312e74ed2197ed3728e6f009539eb313 134570 sysvinit_2.88dsf-41+jessie1_amd64.deb
 cfed2f9351dae0c1e1e701264ec90799a0b17b6a9d3f05e7699bbfd42e2b57ba 101032 sysvinit-utils_2.88dsf-41+jessie1_amd64.deb
 742e4119a6831f68a6e7ab785a16bdf74c0c76c1d73cb573dc671cee427765b2 82634 sysv-rc_2.88dsf-41+jessie1_all.deb
 70299d0c25894e1ab9549790c2860ebeb92cb6a4c625497312fe88c795fc76d4 93228 initscripts_2.88dsf-41+jessie1_amd64.deb
 821b9c168fbe03bc9ca9eea44d28242bfeec1fe88892bcb335e4fd8c6f4f0101 55554 bootlogd_2.88dsf-41+jessie1_amd64.deb
Files: 
 c47415dab8f5c16436f30ac9e8302dc5 2374 admin required sysvinit_2.88dsf-41+jessie1.dsc
 9dbcce4045b083ee806450d3344856b4 212142 admin required sysvinit_2.88dsf-41+jessie1.debian.tar.gz
 5dd49a0ce67c410ca1004b4b23703029 134570 admin required sysvinit_2.88dsf-41+jessie1_amd64.deb
 391f565a4199ddb30d4b67acf7df9b69 101032 admin required sysvinit-utils_2.88dsf-41+jessie1_amd64.deb
 0c0c1e28bbb957afd1881047579ff89d 82634 admin required sysv-rc_2.88dsf-41+jessie1_all.deb
 4b440fbce78b2dc6106c3dd64ba1529e 93228 admin required initscripts_2.88dsf-41+jessie1_amd64.deb
 a99ed829ae0195ecd233299d69bbc1f3 55554 admin optional bootlogd_2.88dsf-41+jessie1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRaudqAAoJEOJSSsUKn1xZiY8P/ittf5I8F1doi/YzrP2eIsiU
/k8EEorphMgF2hZBk3vgnocjIUqRjaftZVlSpYfD8Ldq7GWGhTYsglll6vJDW1s8
77mjqa+cvZNQ7dJ/V9zes2a2S/PF1M6qZNPy4OvpSn8MPAoGqYdxc7+vuKr/LbLS
8Q3ay//x6Wci0H9k4USNyy3phEX/n3TnCFro1vLT9CHVm6IT2LxaQkRS6qkR6y8h
lHcSUk/AaAeT8FWarGrd3VhQUF0zaljMRD0MjikxkdIa/gZ8ipmWxspKKay90cj8
uAftYlwXdciJtS9iP1geUozaJIH6Qi2toWOJaZww8RdEcYB/rIT9l9f7V13nmfa4
BS9KKCJqfVu7pRLksDoJAYaZq6sCzU2fwLb2dYrXf6u9MZdOdM7KPi7lvVHO1Hqw
L78KJlkWZrEil98E6a4tZnUtb3HAaf+FVhnDYcZn+RKuK9r1qPuYQgfUP0lhxdUX
zjksH0g/WCxERrehwepZ06mEtwcykzsWFe8GnWsa0jYsAjRP+Mv5+p6dGXu2jmtC
ceMHswaio0hDCzl5yasJ7tLbwI7egbmsL/Q6E+ULgglfZojFKB3MpRsR6YodSNWM
PcgrTsm4nNrxiT9uJdKkIkoTs92rEFPQTK54Fn1Ia/nkDxiZuEc+qntiCm1hcdS6
jchSjNFOLncIdRyXguU9
=CzQa
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#683084; Package sysv-rc. (Mon, 15 Apr 2013 17:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Mon, 15 Apr 2013 17:33:04 GMT) Full text and rfc822 format available.

Message #82 received at 683084@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Michael Biebl <biebl@debian.org>, 683084@bugs.debian.org, pkg-systemd-maintainers@lists.alioth.debian.org
Subject: Re: [Pkg-systemd-maintainers] Disabled services (Make invoke-rc.d/update-rc.d systemd-aware)
Date: Mon, 15 Apr 2013 19:31:04 +0200
Hi Michael,

Michael Biebl <biebl@debian.org> writes:
> That said, I think it wouldn't hurt to explicitly check the state of the
> systemd service (too), before trying to start it.
>
> What do you think?
Agreed. It makes sense to wait until the changes to update-rc.d are done
(our systemctl-enable drop-in) before adding a patch for this.

-- 
Best regards,
Michael



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 Feb 2014 07:34:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:53:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.